> ## Documentation Index
> Fetch the complete documentation index at: https://docs.messari.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Vesting Schedule

> Returns vesting schedule timeseries data for a given asset

> [!NOTE]
>
> **x402 Support:** Supported.
> See the [x402 guide](https://docs.messari.io/api-reference/x402-payments.md#supported-endpoints).


## OpenAPI

````yaml GET /token-unlocks/v1/assets/{assetId}/vesting-schedule
openapi: 3.0.0
info:
  description: OpenAPI specification for the entire Messari API
  title: Messari API - Token Unlocks V1
  version: 1.0.0
servers:
  - description: Messari API
    url: https://api.messari.io
security: []
paths:
  /token-unlocks/v1/assets/{assetId}/vesting-schedule:
    get:
      tags:
        - token-unlocks/Assets
      summary: Get Vesting Schedule Timeseries Data
      description: Returns vesting schedule timeseries data for a given asset
      operationId: getVestingScheduleTimeseries
      parameters:
        - description: Asset identifier - accepts either slug (e.g. 'solana') or UUID
          in: path
          name: assetId
          required: true
          schema:
            type: string
            example: solana
            default: solana
        - description: RFC3339 formatted start time
          in: query
          name: startTime
          schema:
            format: date-time
            type: string
            example: '2025-01-20T00:00:00Z'
            default: '2025-01-20T00:00:00Z'
        - description: RFC3339 formatted end time
          in: query
          name: endTime
          schema:
            format: date-time
            type: string
            example: '2025-02-01T00:00:00Z'
            default: '2025-02-01T00:00:00Z'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/VestingSchedule'
                  error:
                    type: string
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  asset:
                    id: b3d5d66c-26a2-404c-9325-91dc714a722b
                    name: Solana
                    slug: solana
                    symbol: SOL
                  genesisDate: '2020-04-07T00:00:00Z'
                  projectedEndDate: '2029-03-01T00:00:00Z'
                  startTime: '2020-04-07T00:00:00Z'
                  endTime: '2021-03-07T00:00:00Z'
                  totalDailySnapshots:
                    - timestamp: '2020-04-07T00:00:00Z'
                      cumulativeUnlockedUSD: 1553853121.763593
                      cumulativeUnlockedNative: 8225000
                      unlocksRemainingUSD: 88433606755.39777
                      unlocksRemainingNative: 468105000
                      percentOfUnlocksCompleted: 0.017267440639892512
                    - timestamp: '2020-04-08T00:00:00Z'
                      cumulativeUnlockedUSD: 1553853121.763593
                      cumulativeUnlockedNative: 8225000
                      unlocksRemainingUSD: 88433606755.39777
                      unlocksRemainingNative: 468105000
                      percentOfUnlocksCompleted: 0.017267440639892512
                    - timestamp: '2020-04-09T00:00:00Z'
                      cumulativeUnlockedUSD: 1553853121.763593
                      cumulativeUnlockedNative: 8225000
                      unlocksRemainingUSD: 88433606755.39777
                      unlocksRemainingNative: 468105000
                      percentOfUnlocksCompleted: 0.017267440639892512
                    - timestamp: '2020-04-10T00:00:00Z'
                      cumulativeUnlockedUSD: 1553853121.763593
                      cumulativeUnlockedNative: 8225000
                      unlocksRemainingUSD: 88433606755.39777
                      unlocksRemainingNative: 468105000
                      percentOfUnlocksCompleted: 0.017267440639892512
                    - timestamp: '2020-04-11T00:00:00Z'
                      cumulativeUnlockedUSD: 1553853121.763593
                      cumulativeUnlockedNative: 8225000
                      unlocksRemainingUSD: 88433606755.39777
                      unlocksRemainingNative: 468105000
                      percentOfUnlocksCompleted: 0.017267440639892512
                  allocations:
                    - allocationRecipient: Validator Sale
                      dailySnapshots:
                        - timestamp: '2020-04-07T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 4892984298.319399
                          unlocksRemainingNative: 25900000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-08T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 4892984298.319399
                          unlocksRemainingNative: 25900000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-09T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 4892984298.319399
                          unlocksRemainingNative: 25900000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-10T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 4892984298.319399
                          unlocksRemainingNative: 25900000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-11T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 4892984298.319399
                          unlocksRemainingNative: 25900000
                          percentOfUnlocksCompleted: 0
                    - allocationRecipient: FTX Estate
                      dailySnapshots:
                        - timestamp: '2020-04-07T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 2234903638.962104
                          unlocksRemainingNative: 11830000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-08T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 2234903638.962104
                          unlocksRemainingNative: 11830000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-09T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 2234903638.962104
                          unlocksRemainingNative: 11830000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-10T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 2234903638.962104
                          unlocksRemainingNative: 11830000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-11T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 2234903638.962104
                          unlocksRemainingNative: 11830000
                          percentOfUnlocksCompleted: 0
                    - allocationRecipient: Founding Sale
                      dailySnapshots:
                        - timestamp: '2020-04-07T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 8850822948.890495
                          unlocksRemainingNative: 46850000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-08T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 8850822948.890495
                          unlocksRemainingNative: 46850000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-09T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 8850822948.890495
                          unlocksRemainingNative: 46850000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-10T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 8850822948.890495
                          unlocksRemainingNative: 46850000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-11T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 8850822948.890495
                          unlocksRemainingNative: 46850000
                          percentOfUnlocksCompleted: 0
                    - allocationRecipient: Team
                      dailySnapshots:
                        - timestamp: '2020-04-07T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 12090772011.29118
                          unlocksRemainingNative: 64000000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-08T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 12090772011.29118
                          unlocksRemainingNative: 64000000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-09T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 12090772011.29118
                          unlocksRemainingNative: 64000000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-10T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 12090772011.29118
                          unlocksRemainingNative: 64000000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-11T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 12090772011.29118
                          unlocksRemainingNative: 64000000
                          percentOfUnlocksCompleted: 0
                    - allocationRecipient: Strategic Sale
                      dailySnapshots:
                        - timestamp: '2020-04-07T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 1775832139.158392
                          unlocksRemainingNative: 9400000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-08T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 1775832139.158392
                          unlocksRemainingNative: 9400000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-09T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 1775832139.158392
                          unlocksRemainingNative: 9400000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-10T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 1775832139.158392
                          unlocksRemainingNative: 9400000
                          percentOfUnlocksCompleted: 0
                        - timestamp: '2020-04-11T00:00:00Z'
                          cumulativeUnlockedUSD: 0
                          cumulativeUnlockedNative: 0
                          unlocksRemainingUSD: 1775832139.158392
                          unlocksRemainingNative: 9400000
                          percentOfUnlocksCompleted: 0
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Forbidden
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    VestingSchedule:
      properties:
        allocations:
          items:
            $ref: '#/components/schemas/AllocationVestingScheduleTranche'
          type: array
        asset:
          $ref: '#/components/schemas/AssetBasic'
        endTime:
          format: date-time
          type: string
        genesisDate:
          format: date-time
          type: string
        projectedEndDate:
          format: date-time
          type: string
        startTime:
          format: date-time
          type: string
        totalDailySnapshots:
          items:
            $ref: '#/components/schemas/VestingScheduleSnapshot'
          type: array
      required:
        - allocations
        - asset
        - endTime
        - startTime
        - totalDailySnapshots
      type: object
    AllocationVestingScheduleTranche:
      type: object
      description: Schema for AllocationVestingScheduleTranche
      properties: {}
      additionalProperties: true
    AssetBasic:
      type: object
      description: Schema for AssetBasic
      properties: {}
      additionalProperties: true
    VestingScheduleSnapshot:
      type: object
      description: Schema for VestingScheduleSnapshot
      properties: {}
      additionalProperties: true
  securitySchemes:
    apiKey:
      in: header
      name: X-Messari-API-Key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.